<template>
  <div class="tickets">
  <div class="columns is-centered">
    <div class="column is-half">
    <div class="box" v-if="user.user_type == 'Técnico-administrativo'">
      <the-header class="has-text-centered" title="Frequência" subtitle="" />
      <frequency-form />
    </div> <!-- box -->
		<div v-else>
			<b-notification
				type="is-danger"
				has-icon
				:closable="false"
        role="alert">
				Esse módulo está disponível apenas para servidores técnicos administrativos (TAE). 
				Caso você seja docente, você não tem permissão para visualizar esse módulo.
			</b-notification>
			<the-back-button />
		</div> <!-- v-else -->
    </div> <!-- column -->
  </div> <!-- columns -->
  <b-loading :is-full-page="true" :active.sync="isLoading" :can-cancel="false"></b-loading>
  </div>
</template>

<script>
import FrequencyForm from '@/views/Frequencies/components/FrequencyForm' 

export default {
  name: 'IndexFrequencies',
  components: {
    'frequency-form': FrequencyForm 
  },
  data: function ()  {
    return {}
  },
	beforeCreate: function () {
	},
  created () {
    // this.$store.dispatch('getInformatives')
  },
  methods: {
    createItem: function () {
    },
  },
  computed: {
		user () { 
			return this.$store.getters.user
		},
    isLoading () {
      return this.$store.state.frequencies.loading
    }
    /* informatives () {
      return this.$store.state.informatives.informatives
    },
    error () {
      return this.$store.state.informatives.error
    },
    errorMsg () {
      return this.$store.state.informatives.errorMsg
    }*/
  }
}
</script>
